/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */
import {
    AggregateProjectionData,
    FloorDict,
    IZoneFloorDatabase,
    ProjectionData,
    ZoneDict
} from "src/classLibrary/APIModels/analytics/CommonAnalyticModels";

export class WorkerTimeChartResponse implements IZoneFloorDatabase {
    public workerId: string;

    public timeSpent: ProjectionData;

    public floorTimeSpent: AggregateProjectionData;

    public floors: FloorDict;

    public zones: ZoneDict;

    /**
     * Creates a WorkerTimeChartResponse.
     *
     * @param {string} workerId
     * @param {object} timeSpent
     * @param {object} floorTimeSpent
     * @param {object} floors
     * @param {object} zones
     */
    constructor(workerId: string, timeSpent: ProjectionData, floorTimeSpent: AggregateProjectionData, floors: FloorDict, zones: ZoneDict) {
        this.workerId = workerId;
        this.timeSpent = timeSpent;
        this.floorTimeSpent = floorTimeSpent;
        this.floors = floors;
        this.zones = zones;
    }
}
